Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Comments

Get Comment By Id
GET /contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
https://api.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
Get a content comment with ID commentId.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
commentId string / guid required
Responses
application/json
JSON
{"data":{"id":"56931a95-49e9-4d14-8290-9bbfba7c1f2b","url":null,"userId":"1ba5a79f-cc72-4bf7-8be1-c35c1a20f1a1","userUrl":null,"parentCommentId":"f3068c38-9a49-4a30-a0fa-b815f0a18983","parentCommentUrl":null,"creationDateTime":"2026-10-26T06:17:26.3153704+00:00","lastModifiedDateTime":null,"medias":[{"id":"c0ede59f-1976-408a-a7f4-3ebc8855d1f0","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"c4bbbc5e-fa75-4d36-af84-d32073173ec1","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]}}
object
  ⯈ data object      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    culture string      
    text string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string